## edu.stanford.nlp.trees.international.french
Class DybroFrenchHeadFinder

    java.lang.Object
      edu.stanford.nlp.trees.AbstractCollinsHeadFinder
          edu.stanford.nlp.trees.international.french.DybroFrenchHeadFinder

All Implemented Interfaces:
  HeadFinder, Serializable

    public class DybroFrenchHeadFinder

extends AbstractCollinsHeadFinder

Implements the head finding rules from Dybro-Johansen master's thesis.

Author:
  mcdm
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`defaultRule, nonTerminalInfo, tlp`

Constructor Summary
`DybroFrenchHeadFinder()`
`DybroFrenchHeadFinder(TreebankLanguagePack tlp)`

Method Summary
`static void` `main(String[] args)` Go through trees and determine their heads and print them.

Methods inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`determineHead, determineHead, determineNonTrivialHead, findMarkedHead, postOperationFix, setCategoriesToAvoid, traverseLocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DybroFrenchHeadFinder

    public DybroFrenchHeadFinder()

### DybroFrenchHeadFinder

    public DybroFrenchHeadFinder(TreebankLanguagePack tlp)

Method Detail

### main

    public static void main(String[] args)

  Go through trees and determine their heads and print them. Just for debugging.
  Usage: `java edu.stanford.nlp.trees.DybroFrenchHeadFinder treebankFilePath`

  Parameters:
    `args` - The treebankFilePath

Stanford NLP Group